OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Protected Member Functions | List of all members
juce::dsp::LadderFilter< Type > Class Template Reference

`#include <juce_LadderFilter.h>`

## Public Types
enum class | Mode { LPF12 , HPF12 , LPF24 , HPF24 }

## Public Member Functions
| LadderFilter ()
void | setEnabled (bool newValue) noexcept
void | setMode (Mode newValue) noexcept
void | prepare (const juce::dsp::ProcessSpec &spec)
size_t | getNumChannels () const noexcept
void | reset () noexcept
void | setCutoffFrequencyHz (Type newValue) noexcept
void | setResonance (Type newValue) noexcept
void | setDrive (Type newValue) noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Protected Member Functions
Type | processSample (Type inputValue, size_t channelToUse) noexcept
void | updateSmoothers () noexcept

## Detailed Description

template<typename Type>
class juce::dsp::LadderFilter< Type >

Multi-mode filter based on the Moog ladder filter.

Definition at line 38 of file juce_LadderFilter.h.

## Member Enumeration Documentation

## ◆ Mode

template<typename Type >

enum class juce::dsp::LadderFilter::Mode
| strong

Definition at line 41 of file juce_LadderFilter.h.

## Constructor & Destructor Documentation

## ◆ LadderFilter()

template<typename Type >

juce::dsp::LadderFilter< Type >::LadderFilter

Creates an uninitialised filter. Call prepare() before first use.

Definition at line 34 of file juce_LadderFilter.cpp.

## Member Function Documentation

## ◆ getNumChannels()

template<typename Type >

size_t juce::dsp::LadderFilter< Type >::getNumChannels | ( |  | ) | const
| inline noexcept

Returns the current number of channels.

Definition at line 63 of file juce_LadderFilter.h.

## ◆ prepare()

template<typename Type >

void juce::dsp::LadderFilter< Type >::prepare | ( | const juce::dsp::ProcessSpec & | spec | ) |

Initialises the filter.

Definition at line 67 of file juce_LadderFilter.cpp.

## ◆ process()

template<typename Type >
template<typename ProcessContext >

void juce::dsp::LadderFilter< Type >::process | ( | const ProcessContext & | context | ) |
| inline noexcept

Definition at line 82 of file juce_LadderFilter.h.

## ◆ processSample()

template<typename Type >

Type juce::dsp::LadderFilter< Type >::processSample | ( | Type | inputValue,
|  | size_t | channelToUse
| ) |  |
| protected noexcept

Definition at line 117 of file juce_LadderFilter.cpp.

## ◆ reset()

template<typename Type >

void juce::dsp::LadderFilter< Type >::reset
| noexcept

Resets the internal state variables of the filter.

Definition at line 76 of file juce_LadderFilter.cpp.

## ◆ setCutoffFrequencyHz()

template<typename Type >

void juce::dsp::LadderFilter< Type >::setCutoffFrequencyHz | ( | Type | newValue | ) |
| noexcept

Sets the cutoff frequency of the filter.

Parameters

  newValue | cutoff frequency in Hz

Definition at line 87 of file juce_LadderFilter.cpp.

## ◆ setDrive()

template<typename Type >

void juce::dsp::LadderFilter< Type >::setDrive | ( | Type | newValue | ) |
| noexcept

Sets the amount of saturation in the filter.

Parameters

  newValue | saturation amount; it can be any number greater than or equal to one. Higher values result in more distortion.

Definition at line 105 of file juce_LadderFilter.cpp.

Referenced by juce::dsp::LadderFilter< Type >::LadderFilter().

## ◆ setEnabled()

template<typename Type >

void juce::dsp::LadderFilter< Type >::setEnabled | ( | bool | newValue | ) |
| inline noexcept

Enables or disables the filter. If disabled it will simply pass through the input signal.

Definition at line 54 of file juce_LadderFilter.h.

## ◆ setMode()

template<typename Type >

void juce::dsp::LadderFilter< Type >::setMode | ( | Mode | newValue | ) |
| noexcept

Sets filter mode.

Definition at line 45 of file juce_LadderFilter.cpp.

Referenced by juce::dsp::LadderFilter< Type >::LadderFilter().

## ◆ setResonance()

template<typename Type >

void juce::dsp::LadderFilter< Type >::setResonance | ( | Type | newValue | ) |
| noexcept

Sets the resonance of the filter.

Parameters

  newValue | a value between 0 and 1; higher values increase the resonance and can result in self oscillation!

Definition at line 96 of file juce_LadderFilter.cpp.

Referenced by juce::dsp::LadderFilter< Type >::LadderFilter().

## ◆ updateSmoothers()

template<typename Type >

void juce::dsp::LadderFilter< Type >::updateSmoothers
| protected noexcept

Definition at line 145 of file juce_LadderFilter.cpp.

The documentation for this class was generated from the following files:

- juce_LadderFilter.h
- juce_LadderFilter.cpp